%define name		fplll
%define version		3.0
%define release		%mkrel 5
%define major		3
%define patchlevel	12
%define libname		%mklibname %{name} %{major}
%define devname		%mklibname %{name} -d

Name:		%{name}
Group:		Sciences/Mathematics
License:	LGPL
Summary:	LLL-reduction of euclidean lattices
Version:	%{version}
Release:	%{release}
Source:		http://perso.ens-lyon.fr/damien.stehle/downloads/lib%{name}-%{version}.%{patchlevel}.tar.gz
URL:		http://perso.ens-lyon.fr/damien.stehle/index.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gmp-devel
BuildRequires:	mpfr-devel

%description
%{name}-%{version} is a code distributed under the LGPL that LLL-reduces
euclidean lattices. The code has been written by David Cad, Xavier Pujol
and Damien Stehl.

%package	-n %{libname}
Summary:	lib%{name} shared libraries
Group:		System/Libraries

%description	-n %{libname}
libfpll shared libraries. fplll is code that LLL-reduces euclidean lattices.

%package	-n %{devname}
Summary:	lib%{name} libraries, includes, etc
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{devname}
libfpll libraries, includes, etc. fplll is code that LLL-reduces
euclidean lattices.

%prep
%setup -q -n lib%{name}-%{version}.%{patchlevel}

%build
autoreconf
%configure --enable-shared --disable-static --includedir=%{_includedir}/%{name}

%make

%install
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/fplll
%{_bindir}/fplll_micro
%{_bindir}/fplll_verbose
%{_bindir}/generate
%{_bindir}/llldiff

%files		-n %{libname}
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/libfplll.so.*

%files		-n %{devname}
%defattr(-,root,root)
%{_libdir}/libfplll.la
%{_libdir}/libfplll.so


%changelog
* Sat Mar 05 2011 Paulo Andrade <pcpa@mandriva.com.br> 3.0-5mdv2011.0
+ Revision: 642057
- Do not provide fplll in both, binaries and library packages

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 3.0-4mdv2011.0
+ Revision: 610744
- rebuild

* Mon Mar 08 2010 Paulo Andrade <pcpa@mandriva.com.br> 3.0-3mdv2010.1
+ Revision: 516796
- Update to latest upstream release
- Remove static devel package

* Sat May 09 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.0-2mdv2010.0
+ Revision: 373563
+ rebuild (emptylog)

* Thu Mar 26 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.0-1mdv2009.1
+ Revision: 361462
- Initial import of (lib)fplll version 3.0, "patchlevel 11".
  LLL-reduction of euclidean lattices
  http://perso.ens-lyon.fr/damien.stehle/english.html
- fplll

